#{extends 'border.html'/}
<div class="container">
#{form @masterdata.TahapanCtr.createSubmit(), method:'POST', class:'form-horizontal'}
	
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.TahapanCtr.index()}">&{'tahapan.label'}</a></li>
				<li class="active">&{'tambah.label'} &{'tahapan.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton action:@masterdata.TahapanCtr.index()/}
				#{saveButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
    			<div class="panel-body">
					#{alert /}
    				<div class="toolbar">
    					<a id="addInput" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a>
    					<a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a>
    				</div>
    				<div style="overflow-x: auto">
						<table class="table table-condensed">
                            <thead>
                            <tr>
                                <th width="15">&{'nomor.label'}</th>
                                <th>&{'nama_tahapan.label'}</th>
                                <th>&{'urutan_tahapan.label'}</th>
                            </tr>
                            </thead>
							<tbody id="inputForm">
								#{if tahapanList != null}
									#{list items:tahapanList, as:'tahapan'}
                                    <tr>
                                        <td>
                                            <a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                                        </td>
                                        <td class="#{errorClass 'tahapan_' + tahapan_index/}">
                                            <input class="form-control" name="nama_tahapan_arr" value="${tahapan}"/>
                                            <span class="help-block">#{error 'tahapan_' + tahapan_index /}</span>
                                        </td>
                                        <td class="#{errorClass 'urutan_' + tahapan_index/}">
                                            <input class="form-control urutan_input" name="urutan_tahapan_arr" id="urutan_tahapan${tahapan_index}" value="" />
                                            <span class="help-block">#{error 'urutan_' + tahapan_index /}</span>
                                        </td>
                                    </tr>
									#{/list}
								#{/if}
								#{else}
                                <tr>
                                    <td>
                                        <a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                                    </td>
                                    <td>
                                        <input class="form-control" name="nama_tahapan_arr" />
                                    </td>
                                    <td>
                                        <input class="form-control urutan_input" name="urutan_tahapan_arr"/>
                                    </td>
                                </tr>
								#{/else}
							</tbody>
						</table>
					</div>
    			</div>
    		</div>
    	</div>
    </div>
    
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        #{if urutanList != null}
            #{list items:urutanList, as:'urutan'}
                $('#urutan_tahapan${urutan_index}').val(${urutan});
            #{/list}
        #{/if}
		$("#addInput").on("click",function(){
			var str = "<tr>" +
                    "<td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td>" +
                    "<td><input class='form-control' name='nama_tahapan_arr'/></td>" +
                    "<td><input class='form-control urutan_input' name='urutan_tahapan_arr'/></td>" +
                    "</tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});
		
		$("body").on('keyup paste', '.urutan_input', function(e){
			e.preventDefault();
			var nilai = this.value.replace(/[^0-9]/g, '');
			if (nilai > 0){
				nilai = nilai;
			} else {
				nilai = "";
			}
			this.value = nilai;
		});
    });

</script>
#{/set}